com.independentsoft.exchange

## Class JCIFSEngine

- java.lang.Object
- - com.independentsoft.exchange.JCIFSEngine

- All Implemented Interfaces:
    org.apache.http.impl.auth.NTLMEngine

      public class JCIFSEngine
      extends java.lang.Object
      implements org.apache.http.impl.auth.NTLMEngine

  The Class JCIFSEngine.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCIFSEngine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generateType1Msg(java.lang.String domain, java.lang.String workstation)`
    `java.lang.String` | `generateType3Msg(java.lang.String username, java.lang.String password, java.lang.String domain, java.lang.String workstation, java.lang.String challenge)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCIFSEngine

          public JCIFSEngine()

  - ### Method Detail

    - #### generateType1Msg

          public java.lang.String generateType1Msg(java.lang.String domain,
                                                   java.lang.String workstation)
                                            throws org.apache.http.impl.auth.NTLMEngineException

      Specified by:
        `generateType1Msg` in interface `org.apache.http.impl.auth.NTLMEngine`
      Throws:
        `org.apache.http.impl.auth.NTLMEngineException`

    - #### generateType3Msg

          public java.lang.String generateType3Msg(java.lang.String username,
                                                   java.lang.String password,
                                                   java.lang.String domain,
                                                   java.lang.String workstation,
                                                   java.lang.String challenge)
                                            throws org.apache.http.impl.auth.NTLMEngineException

      Specified by:
        `generateType3Msg` in interface `org.apache.http.impl.auth.NTLMEngine`
      Throws:
        `org.apache.http.impl.auth.NTLMEngineException`